Difference between revisions of "Create Grid of Spheres"

From scripting
Jump to: navigation, search
(Created page with " 'Author Nick Pisca - Sphere Grid Script Dim Length002, Length003, strobjects3, DblRad, PtCenter Dim arrCenter, OrigK Length002 = Rhino.Getreal("Input the X Direction Cou...")
 
(No difference)

Latest revision as of 05:18, 22 April 2017

'Author Nick Pisca - Sphere Grid Script

Dim Length002, Length003, strobjects3, DblRad, PtCenter
Dim arrCenter, OrigK
Length002 = Rhino.Getreal("Input the X Direction Count:", 10)
Length003 = Rhino.Getreal("Input the Y Direction Count:", 10)
DblRad = Rhino.Getreal("Input the common sphere radius:", 2)
Rhino.addlayer"GridSpheres", RGB (207,229,156)
Rhino.currentlayer("GridSpheres")
arrCenter = Rhino.GetPoint("Pick Beginning Point:")
OrigK = arrCenter(1)
For JJ = 1 To Length002         ' 
	arrCenter(0) = arrCenter(0) + (2*DblRad)
	For KK = 1 To Length003
		arrCenter(1) = arrCenter(1) + (2*DblRad)
		Rhino.AddSphere arrCenter, DblRad
	Next
	arrCenter(1) = OrigK
Next